SchedulerResourcePersistenceDelegate (The Data Transfer Scheduler Service 2.0.0-2.17.2 API)
Date: 2014-01-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.datatransfer.scheduler.impl.state
Class SchedulerResourcePersistenceDelegate

    java.lang.Object
      org.gcube.common.core.persistence.GCUBEPersistenceDelegate<RESOURCEID,RESOURCE>
          org.gcube.common.core.persistence.GCUBEFilePersistenceDelegate<org.gcube.common.core.state.GCUBEWSResourceKey,RESOURCE>
              org.gcube.common.core.persistence.GCUBEWSFilePersistenceDelegate<SchedulerResource>
                  org.gcube.datatransfer.scheduler.impl.state.SchedulerResourcePersistenceDelegate

    public class SchedulerResourcePersistenceDelegate

extends org.gcube.common.core.persistence.GCUBEWSFilePersistenceDelegate<SchedulerResource>

Field Summary

Fields inherited from class org.gcube.common.core.persistence.GCUBEWSFilePersistenceDelegate
`ctxt, WSRESOURCE_FILE_SUFFIX`

Fields inherited from class org.gcube.common.core.persistence.GCUBEPersistenceDelegate
`logger`

Constructor Summary
`SchedulerResourcePersistenceDelegate()`

Method Summary
`protected void` | `onLoad(SchedulerResource resource, ObjectInputStream ois)`
`protected void` | `onStore(SchedulerResource resource, ObjectOutputStream oos)`

Methods inherited from class org.gcube.common.core.persistence.GCUBEWSFilePersistenceDelegate
`getFileFromResource, getIDFromFileName, getSuffix, initialise`

Methods inherited from class org.gcube.common.core.persistence.GCUBEFilePersistenceDelegate
`getResourceIdentifiers, getStorageRoot, onLoad, onRemove, onStore`

Methods inherited from class org.gcube.common.core.persistence.GCUBEPersistenceDelegate
`load, remove, store`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchedulerResourcePersistenceDelegate

    public SchedulerResourcePersistenceDelegate()

Method Detail

### onLoad

    protected void onLoad(SchedulerResource resource,
                          ObjectInputStream ois)
                   throws Exception

  Overrides:
    `onLoad` in class `org.gcube.common.core.persistence.GCUBEWSFilePersistenceDelegate<SchedulerResource>`
  Throws:
    `Exception`

### onStore

    protected void onStore(SchedulerResource resource,
                           ObjectOutputStream oos)
                    throws Exception

  Overrides:
    `onStore` in class `org.gcube.common.core.persistence.GCUBEWSFilePersistenceDelegate<SchedulerResource>`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.